| My Project

Public Member Functions | Public Attributes | List of all members
StubLib.Stub Class Reference

Classe Stub qui implémente IPersistanceManager et stocke des données dans le code More...

Inheritance diagram for StubLib.Stub:

## Public Member Functions
| Stub ()
| Remplissage des listes avec des données pour l'application
List< Requin > List< Requin > List< Requin > reqsEdit | LoadRequins ()
void | SaveRequins (List< Requin > reqs, List< Requin > reqsAdd, List< Requin > reqsEdit)
| Sauvegarde les requins dans les listes de la classe More...
List< Utilisateur > List< Expert > experts | LoadUsers ()
void | SaveUsers (List< Utilisateur > users, List< Expert > experts)
| Sauvegarde les utilisateurs dans la liste de la classe More...
List< String > | LoadFunFacts ()
| Charge les fun facts dans la liste de la classe More...
void | SaveFunFacts (List< String > fun)
| Sauvegarde les fun facts dans la liste de la classe More...
List< Requin > List< Requin > List< Requin > reqsEdit | LoadRequins ()
void | SaveRequins (List< Requin > reqs, List< Requin > reqsAdd, List< Requin > reqsEdit)
| Sauvegarde des requins More...
List< Utilisateur > List< Expert > experts | LoadUsers ()
void | SaveUsers (List< Utilisateur > users, List< Expert > experts)
| Sauvegarde des utilisateurs More...
List< String > | LoadFunFacts ()
| Chargement des fun facts More...
void | SaveFunFacts (List< String > funFacts)
| Sauvegarde des fun facts More...

## Public Attributes
List< Requin > | reqs
| Charge les requins des listes de la classe More...
List< Requin > List< Requin > | reqsAdd
List< Utilisateur > | users
| Charge les utilisateurs de la liste de la classe More...
Public Attributes inherited from Persistance.IPersistanceManager
List< Requin > | reqs
| Chargement des requins More...
List< Requin > List< Requin > | reqsAdd
List< Utilisateur > | users
| Chargement des utilisateurs More...

## Detailed Description

Classe Stub qui implémente IPersistanceManager et stocke des données dans le code

## Member Function Documentation

## ◆ LoadFunFacts()

List< String > StubLib.Stub.LoadFunFacts | ( |  | ) |
| inline

Charge les fun facts dans la liste de la classe

Returns

Implements Persistance.IPersistanceManager.

## ◆ LoadRequins()

List< Requin > List< Requin > List< Requin > reqsEdit StubLib.Stub.LoadRequins | ( |  | ) |
| inline

Implements Persistance.IPersistanceManager.

## ◆ LoadUsers()

List< Utilisateur > List< Expert > experts StubLib.Stub.LoadUsers | ( |  | ) |
| inline

Implements Persistance.IPersistanceManager.

## ◆ SaveFunFacts()

void StubLib.Stub.SaveFunFacts | ( | List< String > | fun | ) |
| inline

Sauvegarde les fun facts dans la liste de la classe

Parameters

  fun |

Implements Persistance.IPersistanceManager.

## ◆ SaveRequins()

void StubLib.Stub.SaveRequins | ( | List< Requin > | reqs,
|  | List< Requin > | reqsAdd,
|  | List< Requin > | reqsEdit
| ) |  |
| inline

Sauvegarde les requins dans les listes de la classe

Parameters

  reqs |
  reqsAdd |
  reqsEdit |

Implements Persistance.IPersistanceManager.

## ◆ SaveUsers()

void StubLib.Stub.SaveUsers | ( | List< Utilisateur > | users,
|  | List< Expert > | experts
| ) |  |
| inline

Sauvegarde les utilisateurs dans la liste de la classe

Parameters

  users |
  experts |

Implements Persistance.IPersistanceManager.

## Member Data Documentation

## ◆ reqs

List<Requin> StubLib.Stub.reqs

Charge les requins des listes de la classe

Returns

## ◆ users

List<Utilisateur> StubLib.Stub.users

Charge les utilisateurs de la liste de la classe

Returns

The documentation for this class was generated from the following file:

- StubLib/Stub.cs